Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DatabaseCommunication
Class UserManager

    java.lang.Object
      DatabaseCommunication.UserManager

public class UserManager
extends java.lang.Object

Author:
  student This class is being used for managing users in the application database.

Field Summary
`private java.sql.Connection` | `con`

Constructor Summary
`UserManager()` This is the constructor for UserManager.java

Method Summary
`private boolean` | `insertStocksInterested(User_Data user)` This method is being used for adding interested stocks for a user.
`boolean` | `insertUser(User_Data user)` This method is being used for adding a user to the application database.
`boolean` | `readStocksInterested(User_Data user)` This method is being used for retrieving the interested stocks for a particular user.
`boolean` | `readStocksOwned(User_Data user)` This method is being used for retrieving the stocks owned for a particular user.
`boolean` | `readUser(User_Data user)` This method is being used for retrieving user information.
`private boolean` | `updateStocksInterested(User_Data user)` This method is being used for updating the interested stocks for the specified user.
`boolean` | `updateStocksOwned(User_Data user)` This method is being used for updating the owned stocks.
`boolean` | `updateUser(User_Data user)` This method is being used for updating user details in the application database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### con

    private java.sql.Connection con

Constructor Detail

### UserManager

    public UserManager()

  This is the constructor for UserManager.java

Method Detail

### insertStocksInterested

    private boolean insertStocksInterested(User_Data user)

  This method is being used for adding interested stocks for a user.

  Parameters:
    `user` - The user for whom the interested stocks are being added.
  Returns:
    boolean Specifies whether the adding was successful.

### insertUser

    public boolean insertUser(User_Data user)

  This method is being used for adding a user to the application database.

  Parameters:
    `user` - The user to be added.
  Returns:
    boolean Specifies whether the adding was sucessful.

### readStocksInterested

    public boolean readStocksInterested(User_Data user)

  This method is being used for retrieving the interested stocks for a particular user.

  Parameters:
    `user` - The user for whom the interested stocks are to be retrieved.
  Returns:
    boolean Specifies whether the retrieval was successful.

### readStocksOwned

    public boolean readStocksOwned(User_Data user)

  This method is being used for retrieving the stocks owned for a particular user.

  Parameters:
    `user` - The user for whom the owned stocks are to be retrieved.
  Returns:
    boolean Specifies whether the retreival was successful.

### readUser

    public boolean readUser(User_Data user)

  This method is being used for retrieving user information.

  Parameters:
    `user` - The user fro whom the data has to be retrieved.
  Returns:
    boolean Specifies whether the retrieval was successful.

### updateStocksInterested

    private boolean updateStocksInterested(User_Data user)

  This method is being used for updating the interested stocks for the specified user.

  Parameters:
    `user` - The user for whom the interested stocks are updated.
  Returns:
    boolean Specifies whether the update was successful.

### updateStocksOwned

    public boolean updateStocksOwned(User_Data user)

  This method is being used for updating the owned stocks.

  Parameters:
    `user` - The user who owns the stocks.
  Returns:
    boolean Specifies whether the update was successful.

### updateUser

    public boolean updateUser(User_Data user)

  This method is being used for updating user details in the application database.

  Parameters:
    `user` - The user details to be updated.
  Returns:
    boolean Specifies whether the update was successful.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD